package main

import (
	"testing"
)

func TestInsertToken(t *testing.T) {
	res, err := insertToken("test-token", "https://git.example.org/user/repo.git")
	if err != nil {
		t.Fatalf("Error: %v", err)
	}

	if res != "https://test-token@git.example.org/user/repo.git" {
		t.Fatalf("Unexpected output: %s", res)
	}
}